package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.renren.common.validator.group.AddGroup;
import io.renren.common.validator.group.UpdateGroup;

import java.io.Serializable;
import java.util.Date;

import javax.validation.constraints.NotBlank;

import lombok.Data;

/**
 * 
 * 
 * @author huwhois
 * @email huwhois@163.com
 * @date 2020-12-09 14:33:56
 */
@Data
@TableName("member")
public class MemberEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 名字
     */
    @NotBlank(message="姓名不能为空", groups = {AddGroup.class, UpdateGroup.class})
    private String truename;
    /**
     * 性别 1,男; 2,女
     */
    private Integer sex;
    /**
     * 单位名称,id
     */
    private String organization;
    private Long organizationId;
    /**
     * 职位
     */
    private String position;
    /**
     * 电话
     */
    @NotBlank(message="电话不能为空", groups = {AddGroup.class, UpdateGroup.class})
    private String phone;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 备注
     */
    private String remark;
    /**
     * 添加时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date modifyTime;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 标识, md5(truename + phone)
     */
    private String symbol;
    /**
     * 标记
     */
    private Integer flag;
}
