package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.renren.common.validator.group.AddGroup;
import io.renren.common.validator.group.UpdateGroup;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import lombok.Data;

/**
 * 
 * 
 * @author huwhois
 * @email huwhois@163.com
 * @date 2020-12-09 14:33:56
 */
@Data
@TableName("member_tax")
public class MemberTaxEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * member_id
     */
    @NotNull(message="会员id不能为空", groups = {AddGroup.class, UpdateGroup.class})
    private Long memberId;
    /**
     * 开票类型
     */
    private Integer taxType;
    /**
     * 公司名称
     */
    private String taxTitle;
    /**
     * 纳税人识别号
     */
    private String taxNumber;
    /**
     * 公司地址
     */
    private String companyAddress;
    /**
     * 公司电话
     */
    private String companyPhone;
    /**
     * 开户行名称
     */
    private String bankName;
    /**
     * 开户行账号
     */
    private String bankAccount;
    /**
     * 邮寄地址
     */
    private String mailingAddress;
    /**
     * 邮编
     */
    private String postcode;
}
