package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.renren.common.validator.group.AddGroup;
import io.renren.common.validator.group.UpdateGroup;

import java.io.Serializable;
import java.util.Date;
import javax.validation.constraints.NotBlank;
import lombok.Data;

/**
 * 
 * 
 * @author huwhois
 * @email huwhois@163.com
 * @date 2023-05-22 16:30:17
 */
@Data
@TableName("organization")
public class OrganizationEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键 id
	 */
	@TableId
	private Long id;
	/**
	 * 公司名称
	 */
	@NotBlank(message="名称不能为空", groups = {AddGroup.class, UpdateGroup.class})
	private String name;
	/**
	 * 公司地址
	 */
	private String address;
	/**
	 * 联系人
	 */
	private String liaison;
	/**
	 * 联系电话
	 */
	private String telephone;
	/**
	 * 联系邮箱
	 */
	private String email;
	/**
	 * 邮编
	 */
	private String postalcode;
	/**
	 * 发票抬头
	 */
	private String taxTitle;
	/**
	 * 纳税人识别号
	 */
	private String taxNumber;
	/**
	 * 公司地址
	 */
	private String companyAddress;
	/**
	 * 公司电话
	 */
	private String companyPhone;
	/**
	 * 开户行名称
	 */
	private String bankName;
	/**
	 * 开户银行账号
	 */
	private String bankAccount;
	/**
	 *  新建时间
	 */
	private Date createTime;
}
