package io.renren.modules.admin.form;

import io.renren.common.validator.group.AddGroup;
import io.renren.common.validator.group.UpdateGroup;
import io.renren.modules.admin.entity.MemberEntity;
import io.renren.modules.admin.entity.MemberTaxEntity;

import java.io.Serializable;
import java.util.Date;

import javax.validation.constraints.NotBlank;

import lombok.Data;

/**
 * 
 * 
 * @author huwhois
 * @email huwhois@163.com
 * @date 2020-12-09 14:33:56
 */
@Data
public class MemberForm implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;
    /**
     * 名字
     */
    @NotBlank(message="姓名不能为空", groups = {AddGroup.class, UpdateGroup.class})
    private String truename;
    /**
     * 性别 1,男; 2,女
     */
    private Integer sex;
    /**
     * 单位名称
     */
    private String organization;
    /**
     * 职位
     */
    private String position;
    /**
     * 电话
     */
    @NotBlank(message="电话不能为空", groups = {AddGroup.class, UpdateGroup.class})
    private String phone;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private Integer status;
    /**
     * 
     */
    private String symbol;
    /**
     * 标记
     */
    private Integer flag;
    /**
     * 添加时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date modifyTime;
    /**
     * 开票类型
     */
    private Integer taxType;
    /**
     * 公司名称
     */
    private String taxTitle;
    /**
     * 纳税人识别号
     */
    private String taxNumber;
    /**
     * 公司地址
     */
    private String companyAddress;
    /**
     * 公司电话
     */
    private String companyPhone;
    /**
     * 开户行名称
     */
    private String bankName;
    /**
     * 开户行账号
     */
    private String bankAccount;
    /**
     * 邮寄地址
     */
    private String mailingAddress;
    /**
     * 邮编
     */
    private String postcode;

    public  MemberForm make(MemberEntity member){
        MemberForm memberForm = new MemberForm();

        memberForm.setId(member.getId());
        memberForm.setTruename(member.getTruename());
        memberForm.setOrganization(member.getOrganization());
        memberForm.setPosition(member.getPosition());
        memberForm.setPhone(member.getPhone());
        memberForm.setEmail(member.getEmail());
        memberForm.setRemark(member.getRemark());
        memberForm.setStatus(member.getStatus());
        memberForm.setSymbol(member.getSymbol());
        memberForm.setFlag(member.getFlag());
        memberForm.setCreateTime(member.getCreateTime());
        memberForm.setModifyTime(member.getModifyTime());

        return memberForm;
    }

    public MemberForm make(MemberEntity member, MemberTaxEntity memberTax){
        MemberForm memberForm = new MemberForm();

        memberForm.setId(member.getId());
        memberForm.setTruename(member.getTruename());
        memberForm.setOrganization(member.getOrganization());
        memberForm.setPosition(member.getPosition());
        memberForm.setPhone(member.getPhone());
        memberForm.setEmail(member.getEmail());
        memberForm.setRemark(member.getRemark());
        memberForm.setStatus(member.getStatus());
        memberForm.setSymbol(member.getSymbol());
        memberForm.setFlag(member.getFlag());
        memberForm.setCreateTime(member.getCreateTime());
        memberForm.setModifyTime(member.getModifyTime());
        memberForm.setTaxType(memberTax.getTaxType());
        memberForm.setTaxTitle(memberTax.getTaxTitle());
        memberForm.setTaxNumber(memberTax.getTaxNumber());
        memberForm.setCompanyAddress(memberTax.getCompanyAddress());
        memberForm.setCompanyPhone(memberTax.getCompanyPhone());
        memberForm.setBankName(memberTax.getBankName());
        memberForm.setBankAccount(memberTax.getBankAccount());
        memberForm.setMailingAddress(memberTax.getMailingAddress());
        memberForm.setPostcode(memberTax.getPostcode());
        
        return memberForm;
    }
}
