package io.renren.modules.admin.service.impl;

import java.util.Map;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;

import io.renren.modules.admin.dao.OrganizationDao;
import io.renren.modules.admin.entity.OrganizationEntity;
import io.renren.modules.admin.service.OrganizationService;


@Service("organizationService")
public class OrganizationServiceImpl extends ServiceImpl<OrganizationDao, OrganizationEntity> implements OrganizationService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        String key = params.containsKey("key") ? (String) params.get("key") : null;

        IPage<OrganizationEntity> page = this.page(
                new Query<OrganizationEntity>().getPage(params),
                new QueryWrapper<OrganizationEntity>().like(StringUtils.isNotBlank(key), "name", key).or()
                .like(StringUtils.isNotBlank(key), "telephone", key).or()
                .like(StringUtils.isNotBlank(key), "liaison", key)
        );

        return new PageUtils(page);
    }

    @Override
    public OrganizationEntity getByName(String organization) {
        return this.getOne(new QueryWrapper<OrganizationEntity>().eq("name", organization));
    }

}